mixed-port: 7890
log-level: info
allow-lan: false
external-controller: 127.0.0.1:9090

proxies:
  - name: 一号节点-VMess
    type: vmess
    server: tz1.gal.cab
    port: 41970
    uuid: b1fc1989-a79e-47bb-b1c5-5f3a379fc3ba
    alterId: 0
    network: tcp
    tls: false

  - name: 二号节点-VMess
    type: vmess
    server: tz2.gal.cab
    port: 37759
    uuid: c4e67626-da31-4168-a35e-0fe3c0b30d80
    alterId: 0
    network: tcp
    tls: false

proxy-groups:
  - name: 自动选择
    type: url-test
    proxies:
      - 一号节点-VMess
      - 二号节点-VMess
    url: http://www.gstatic.com/generate_204
    interval: 300

  - name: 节点切换
    type: select
    proxies:
      - 自动选择
      - 一号节点-VMess
      - 二号节点-VMess

rules:
  - MATCH,节点切换